"use strict";
//~ if(thisSprite.highlightOnHover && this.spriteFocused === thisSprite){
			//~ 
		//~ }


IsoCan.prototype.sprites = [];

IsoCan.prototype.Renderers.sprite = function(thisSprite){
	var zoom = this.zoom.current;
	var loc = this.getLoc(thisSprite.locTile[0],thisSprite.locTile[1]);
	this.buffer.save();
	this.buffer.translate(loc[0],loc[1]);
	
	thisSprite.x = loc[0]+thisSprite.dx;
	thisSprite.y = loc[1]+thisSprite.dy;
	
	// Call any sprite hooks.
	this.callHook('rendererSpriteBeforeDraw',thisSprite);
	
	try{
		this.buffer.drawImage(thisSprite.spriteSheet,thisSprite.sx,thisSprite.sy,thisSprite.width,thisSprite.height,thisSprite.dx,thisSprite.dy,thisSprite.width,thisSprite.height);
	} catch(e) {
		console.log('failed to render sprite ',thisSprite,e);
	}
	this.buffer.restore();
}

IsoCan.prototype.drawSprite = function(sprite){
	var thisSprite = sprite.drawSprite(this.gameTime); // Pick and prepare tile.
	if(this.Renderers[thisSprite.renderer].call(this,thisSprite)){
		this.spriteFocusedNew = sprite;
	};
}

// Draw sprites after the tiles have drawn.
IsoCan.prototype.Hooks.redrawMapDrawTile.push(function(pos){
	this.spriteFocusedNew = false;
	this.callHook('redrawMapBeforeSprites');
	for(var i=0;i<this.sprites.length;i++){
		if(this.sprites[i].locTile[0] == pos.x && this.sprites[i].locTile[1] == pos.y){
			this.drawSprite(this.sprites[i]);
		}
	}
});

IsoCan.prototype.Hooks.rendererSpriteBeforeDraw.push(function(thisSprite){
	
	if(thisSprite.inBounds(this.cursorPos)){
		this.buffer.globalAlpha = .5;
	}
	
});
