IsoRes.Tiles.Beach = function(options){
	_.extend(this,options);
	this.style = this.style ? this.style : 'basic';
	this.connections = this.connections ? this.connections : [false,false,false,false];
	
	this.tileName = 'Beach';
}

_.extend(
	IsoRes.Tiles.Beach.prototype,
	IsoRes.Tiles.Road.prototype,
	{
		tilePrefix : 'beach',
		stackable : true,
		styles : ['sand','shore'],
		connectionStyle : ['sand'],
		connectionNames : {
			n : 3,
			e : 0,
			s : 1,
			w : 2
		},
		sprites : {
			shore : 4 // frames in this animation (starts at 0)
		},
		connections:false
	}
);
